import React from 'react'
import MatchDisp from './match-disp'

class MatchList extends React.Component {

  render () {
    const matches = this.props.match.matches
    const filtered = this.props.match.filtered

    return (
      <div>
        <h2>Matches ({filtered.length}/{matches.length})</h2>
        <ul>
          {filtered.map((match, key) => (
            <MatchDisp key={key} match={match} />
          ))}
        </ul>
      </div>
    )
  }
}

export default MatchList
