import React from 'react'
import PlayerDisp from './player-disp'

class PlayerList extends React.Component {

  render () {
    const filtered = this.props.player.filtered

    return (
      <div>
        <h2>Spielerliste ({filtered.length})</h2>
        <ul>
          {filtered.map((player, key) => (
            <PlayerDisp key={key} player={player} />
          ))}
        </ul>
      </div>
    )
  }
}

export default PlayerList
